# -*-makefile-*-
# $Id: host-util-linux.make 5488 2006-05-10 09:10:13Z mkl $
#
# Copyright (C) 2003 by Robert Schwebel <r.schwebel@pengutronix.de>
#          
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# Paths and names
#

HOST_PACKAGES-$(PTXCONF_HOST_UTIL_LINUX) += host-util-linux

HOST_UTIL_LINUX_DIR	= $(HOST_BUILDDIR)/$(UTIL_LINUX)

-include $(call package_depfile)

# ----------------------------------------------------------------------------
# Hosttool Get
# ----------------------------------------------------------------------------

host-util-linux_get: $(STATEDIR)/host-util-linux.get

$(STATEDIR)/host-util-linux.get: $(STATEDIR)/util-linux.get
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Hosttool Extract
# ----------------------------------------------------------------------------

host-util-linux_extract: $(STATEDIR)/host-util-linux.extract

$(STATEDIR)/host-util-linux.extract: $(host-util-linux_extract_deps)
	@$(call targetinfo, $@)
	@$(call clean, $(UTIL_LINUX_DIR))
	@$(call extract, $(UTLNX_SOURCE), $(HOST_BUILDDIR))
	@$(call patchin, $(UTIL_LINUX),$(HOST_UTIL_LINUX_DIR))
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Hosttool Prepare
# ----------------------------------------------------------------------------

host-util-linux_prepare: $(STATEDIR)/host-util-linux.prepare

HOST_UTIL_LINUX_PATH	:= PATH=$(HOST_PATH)
HOST_UTIL_LINUX_ENV 	:= $(HOSTCC_ENV)

#
# autoconf
#
HOST_UTIL_LINUX_AUTOCONF := \
	$(HOST_AUTOCONF) \
	--disable-schedutils

$(STATEDIR)/host-util-linux.prepare: $(host-util-linux_prepare_deps_default)
	@$(call targetinfo, $@)
	cd $(HOST_UTIL_LINUX_DIR) && \
		$(HOST_UTIL_LINUX_PATH) $(HOST_UTIL_LINUX_ENV) \
		./configure $(HOST_UTIL_LINUX_AUTOCONF)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Hosttool Compile
# ----------------------------------------------------------------------------

host-util-linux_compile: $(STATEDIR)/host-util-linux.compile

$(STATEDIR)/host-util-linux.compile: $(host-util-linux_compile_deps_default)
	@$(call targetinfo, $@)
	cd $(HOST_UTIL_LINUX_DIR) && $(HOST_UTIL_LINUX_PATH) make
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Hosttool Install
# ----------------------------------------------------------------------------

host-util-linux_install: $(STATEDIR)/host-util-linux.install

$(STATEDIR)/host-util-linux.install: $(host-util-linux_install_deps_default)
	@$(call targetinfo, $@)
	@$(call install, HOST_UTIL_LINUX,,h)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Hosttool Targetinstall
# ----------------------------------------------------------------------------

# ----------------------------------------------------------------------------
# Hosttool Clean
# ----------------------------------------------------------------------------

host-util-linux_clean:
	rm -rf $(STATEDIR)/host-util-linux.*
	rm -rf $(HOST_UTIL_LINUX_DIR)

# vim: syntax=make
